package com.ylcm.sys.mapper;

import java.util.List;
import java.util.Map;
@SuppressWarnings("rawtypes")
public interface ProgramAnalysisMapper {
    
	List<Map> listProgramAnalysis(Map map);
	
	List<Map> listProgramAnalysis4TV(Map map);
	
	int countProgramAnalysis(Map map);
	
	List<Map> listProgramPlacementDetail(Map map);
	
	List<Map> listProgramPlacementDetail4TV(Map map);
	
	int countProgramPlacementDetail(Map map);
	
	int countProgramPlacementDetail4TV(Map map);
	
	List<Map> listProgramFrqcAndLth(Map map);
	
	List<Map> listProgramFrqcAndLth4TV(Map map);

	List<Map> listProgramAudienceRating(Map map);
	
	List<Map> listProgramNetClickTimes(Map map);
	
	List<Map> listProgramAudienceGroup(Map map);
	
	List<Map> listProgramNetAudienceGroup(Map map);
	
	List<Map> listAudienceRatingRank(Map map);
	
	List<Map> listAudienceRatingRank4TV(Map map);
	
	List<Map> listClickTimesRank(Map map);
	
	List<Map> listCboTotalRank(Map map);
	
	List<Map> listFrequencyAndLengthTotal4Program(Map map);
	
	List<Map> listAudienceRateClick4Program(Map map);
	
	List<Map> listAudienceRateClick4Program4TV(Map map);
	
	List<Map> listCboTotalAndClick4Program(Map map);
}